﻿using Configuration;
using Oberon.HttpResources.Netmf;
using Oberon.HttpServers;

class LedController
{
    static void Main()
    {
        Parameters.Setup();

        var ledActuator = new DigitalActuator
        {
            OutputPin = Parameters.LedPin
        };

        var webServer = new HttpServer
        {
            StreamProvider = Parameters.StreamProvider,
            RequestRouting =
            {
                {
                    "PUT /led/target",
                    new ManipulatedVariable
                    {
                        FromHttpRequest =
                            CSharpRepresentation.TryDeserializeBool,
                        ToActuator = ledActuator.HandlePut
                    }.HandleRequest
                }
            }
        };

        webServer.Run();
    }
}
